body {
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    padding: 0;

}

 h2{
    text-align: center;
} 

nav {
    background: #003366;
    color: white;
    padding: 20px 0;
    text-align: center;
}

nav ul {
    list-style: none;
    display: flex;
    justify-content: center;
}

nav ul li {
    margin: 0 10px;
}

nav ul li a{
    color: #ffff;
    text-decoration: none;

}

nav ul li a:hover{
    text-decoration: underline;
}

/*Cacher le menu burger en dekstop*/
.menu-toggle {
    display: none;
}

#hero {
    background-image: url('/img/chat.jpg');
    background-size: cover;
    background-position: bottom;
    text-align:center;
    padding: 20vh 5vw;
    color: #fff;
    background: width 100%;

}

#about {
    padding: 0 5vw;
}

#about h2 {
    text-align: center;
    
}

.project-cards {
  display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px; 
    padding: 0 20px;
}

.project-card {
    border-radius: 10px;
    overflow: hidden;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;

}

.project-card img {
    width: 100%;
    height: 150px;
    object-fit: cover;
}

.project-card p{
    padding: 5px 10px;
}

.project-card h3 {
    padding: 5px 10px;
}

.project-card .btn{
    display: block;
    text-align: center;
    padding: 10px;
    background-color: #333;
    margin: 50px;
    color: #ffffff;
    border-radius: 20px;
    text-decoration: none;
    transition: background-color 0.3s;
}

.project-card .btn:hover {
    background-color: rgb(80,80,80);
}

#skills {
    background-color: #003366;
    padding: 50px;
    color: #ffffff;
    text-align: center;
}

#skills .logos {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 5vw;
}


#skills .logo {
    
    display: flex;
    flex-direction: column;   
    width: 100px;
    text-align: center;
    align-items: center;
}

#skills img {
    width: 70px;
    height: 70px;
    background-color: #ffffff;
    border-radius: 50%;
    padding: 10px;
    margin-bottom: 10px;
}
#skills img:hover{
    transform: scale(1.1);
}

form{
 max-width: 600px;
 margin: 0 auto;
 padding: 20px;
 background-color: #003366;
 border-radius: 8px;
 color: #ffffff;
}

form input,
form textarea{
    background-color: white;
    max-width: 100%;
    min-width: 100%;
    padding: 10px 5px;
    border: 1px solid #555;
    border-radius: 4px;
    box-sizing: border-box;
}

form textarea{
    min-height: 100px;
}

form div{
    margin-bottom: 15px;

}

form label{
    display:block;
    margin-bottom: 5px;
    font-weight: bold;
}

form button{
    padding: 15px;
    width: 100%;
    border-radius: 4px;
    background-color: #2784e1;
    color: #ffffff;
    transition: background-color 0.3s;
    cursor: pointer;
}

form button:hover{
    scale: 1.01;
    background-color: #0c61b7;
}

@media(max-width: 768px){
    .menu-toggle{
        display: block;
        cursor: pointer;
    }

    nav{
        position: sticky;
        top: 0;
        height: 45px;
    }

    #nav-links{
        display: none;
    }

    #nav-links.show{
        display: flex;
        flex-direction: column;
        background-color: #003366;
        width: 100%;
        gap: 30px;
        padding: 30px 0px;
    }
}